Bug Hunting Session
Bug 46676 - EDITING tables embedded in presentation do not remember worksheets
Summary: EDITING tables embedded in presentation do not remember worksheets
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-27 04:28 UTC by Dan Scott
Modified: 2013-06-23 03:57 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Scott 2012-02-27 04:28:11 UTC
When a presentation contains two embedded tables which are different sheets from one calc spreadsheet:

Double click on a table to edit the contents. The user interface jumps around and the table moves within the presentation.

Also, the table switches to a different worksheet if you have two tables from the same calc spreadsheet. It 'remembers' the last selected worksheet incorrectly when there are two links to the same spreadsheet.
Comment 1 sasha.libreoffice 2012-03-23 06:03:48 UTC
Thanks for bugreport
Please, attach presentation that demonstrates this problem
Comment 2 Dan Scott 2012-03-23 08:58:54 UTC
Why? Is my description insufficient? I can describe it in more detail if required.
Comment 3 sasha.libreoffice 2012-03-23 09:32:06 UTC
For developers will able to test if bug is properly fixed or not. In future testers can test if bug appears again or not (test for regressions).
Currently in 3.5.1 problem still exist.
Please, attach presentation that demonstrates this problem
Comment 4 Dan Scott 2012-03-23 09:43:23 UTC
What does a presentation have to do with that? Testers/developers can still test using the description.

What does a presentation give that my textual description does not. It will take me a lot of time and effort to setup and record a screencast - I have never done it before. I will be happy to do it if you can give me a reasonable explanation of why you need a presentation instead of using my text description.

You have stated that the problem still exists - so you were able to follow my text description.
Comment 5 sasha.libreoffice 2012-03-23 22:43:56 UTC
I mean odp or ppt file. Not screencast.

> a presentation contains two embedded tables which are different sheets
> from one calc spreadsheet
I mean this file. Or manually created odp file which demonstrates this problem.
If currently no time for this, then tell me, I will create this file by my own.
Thanks. Best regards.
Comment 6 bfoman (inactive) 2012-08-06 13:17:12 UTC
Checked with:
LO 3.5.5.3 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Could not reproduce. No "jumping" interface nor moving tables nor forgetting selected worksheets (if links not updated upon reload).
Please be advised that attaching a test case file, along with precise steps to reproduce, will allow others to have repeatable test results on different system/build. Creating from scratch sometimes can cure a bug or tester can do it not the way as reporter.
Comment 7 Joel Madero 2013-06-23 03:57:12 UTC
Agreed that a test case would be nice

When you say "when a presentation contains two embedded tables" -> Are you talking about OLE objects or copy/paste

Really a test case would be ideal. From the description I cannot reproduce. Due to this fact, lack of a test case, and bfoman's comment a few months back with no reply, assuming problem is fixed.

Marking as WFM
Comment 8 Joel Madero 2013-06-23 03:57:47 UTC
Agreed that a test case would be nice

When you say "when a presentation contains two embedded tables" -> Are you talking about OLE objects or copy/paste

Really a test case would be ideal. From the description I cannot reproduce. Due to this fact, lack of a test case, and bfoman's comment a few months back with no reply, assuming problem is fixed.

Marking as WFM

If this is not correct please provide a test case with enumerated steps to easily reproduce and see the problem.

Thanks for reporting


+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage and join us on freenode at #libreoffice-qa

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material